<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary px-4 py-2" (click)="buscar()" [disabled]="loading">
    <i class="fas fa-search mr-2"></i>Buscar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">
    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-sm-4 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100">Fecha</label>
          <kendo-datepicker formControlName="fFec1" [format]="formantKendo" class="w-100" [max]="fsys">
          </kendo-datepicker>
        </div>
        <div class="col-sm-4 col-md-4 col-lg-3 col-xl-3 form-group">
          <label class="w-100">Moneda</label>
          <kendo-combobox [data]="listMoneda" [textField]="'mdesc'" [valueField]="'Moneda'"
            [placeholder]="'Seleccionar Moneda'" [valuePrimitive]="true" formControlName="cChr1" class="w-100">
          </kendo-combobox>
        </div>
      </div>
    </form>
    <app-loading *ngIf="loading">
      Generando reporte, espere un momento...
    </app-loading>
  </div>
</div>